
require("dotenv").config();
const settings = require("../../helpers/constants");
const { getBacklinks, getOutboundLinks } = require("../../helpers/linkUtils");

const allSettings =  settings.ALL_NOTE_SETTINGS;

module.exports = {
    eleventyComputed: {
        backlinks: (data) => getBacklinks(data),
        outbound: (data) => getOutboundLinks(data),
        settings: (data) => {
            const noteSettings = {};
            allSettings.forEach(setting => {
                let noteSetting = data[setting];
                let globalSetting = process.env[setting];

                let settingValue = (noteSetting || (globalSetting === 'true' && noteSetting !== false));
                noteSettings[setting] = settingValue;
            });
            return noteSettings;
        }
    }
}